function machine_db_settings = MatMPI_Comm_settings()
%
% Function for setting values in the MPI Communicator.
% User can edit these values to customize the internals
% MatlabMPI.
%

  % Set to 'unix' or 'windows'.
  % 'windows' currently doesn't work.
  machine_db_settings.type = 'unix';

  % Matlab command and launch flags.

  % Generic.
  machine_db_settings.matlab_command = ' matlab -display null -nojvm -nosplash ';

  % Lincoln R13.
  % machine_db_settings.matlab_command = ' /tools/matlab/bin/matlab -display null -nojvm -nosplash ';
  % Lincoln R12.
  % machine_db_settings.matlab_command = ' /tools/matlabr12/bin/matlab -display null -nojvm -nosplash ';
  % Lincoln cluster local.
  % machine_db_settings.matlab_command = ' /local/matlab12.1/bin/matlab -display null -nojvm -nosplash ';
  % LCS Cluster local.
  % machine_db_settings.matlab_command = ' /usr/local/bin/matlab -display null -nojvm -nosplash ';
  % Boston University.
  % machine_db_settings.matlab_command = ' /usr/local/IT/matlab-6.1/bin/matlab -display null -nojvm -nosplash ';
  % MHPCC local copy.
  % machine_db.matlab_command{1,i} = ' /scratch/tempest/users/kepner/matlab6/bin/matlab -display null -nojvm -nosplash ';

  % Remote launch command.
  %  To use ssh, change ' rsh ' to ' ssh ' in line below.
  % machine_db_settings.remote_launch = ' ssh ';
  machine_db_settings.remote_launch = ' rsh ';

  % Remote launch flags.
  machine_db_settings.remote_flags = ' -n ';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% MatlabMPI
% Dr. Jeremy Kepner
% MIT Lincoln Laboratory
% kepner@ll.mit.edu
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2002 Massachusetts Institute of Technology
% 
% Permission is herby granted, without payment, to copy, modify, display
% and distribute this software and its documentation, if any, for any
% purpose, provided that the above copyright notices and the following
% three paragraphs appear in all copies of this software.  Use of this
% software constitutes acceptance of these terms and conditions.
%
% IN NO EVENT SHALL MIT BE LIABLE TO ANY PARTY FOR DIRECT, INDIRECT,
% SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF
% THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF MIT HAS BEEN ADVISED OF THE
% POSSIBILITY OF SUCH DAMAGE.
% 
% MIT SPECIFICALLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTIES INCLUDING,
% BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
% FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.
%
% THIS SOFTWARE IS PROVIDED "AS IS," MIT HAS NO OBLIGATION TO PROVIDE
% MAINTENANCE, SUPPORT, UPDATE, ENHANCEMENTS, OR MODIFICATIONS.
